Method: deltasharing.v1alpha.projects.catalogs.shares.schemas.list

Gets a list of Delta Sharing schemas available in the upstream SAP BDC source.

HTTP request

GET https://biglake.googleapis.com/deltasharing/v1alpha/{parent=projects/*/catalogs/*/shares/*}/schemas

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the share. Format: projects/{project}/catalogs/{catalog}/shares/{delta_sharing_share}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of schemas to return. The service may return fewer than this value. If unspecified, at most 50 schemas will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous schemas.list call.

Request body

The request body must be empty.

Response body

Response message for the schemas.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "deltaSharingSchemas": [
    {
      object (DeltaSharingSchema)
    }
  ],
  "nextPageToken": string
}
Fields
deltaSharingSchemas[]

object (DeltaSharingSchema)

The Delta Sharing schemas from the specified share.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • biglake.namespaces.get

For more information, see the IAM documentation.

DeltaSharingSchema

Represents a Delta Sharing Schema.

JSON representation
{
  "name": string
}
Fields
name

string

Identifier. The resource name. Format: projects/{project}/catalogs/{catalog}/shares/{delta_sharing_share}/schemas/{delta_sharing_schema}